org.eclipse.oomph.setup.log

## Class ProgressLogProvider

- java.lang.Object
- - org.eclipse.core.runtime.jobs.ProgressProvider
  - - org.eclipse.oomph.setup.log.ProgressLogProvider

-     public class ProgressLogProvider
      extends ProgressProvider

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressLogProvider(ProgressLog log, ProgressProvider delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IProgressMonitor` | `createMonitor(Job job)`
    `IProgressMonitor` | `createMonitor(Job job, IProgressMonitor group, int ticks)`
    `IProgressMonitor` | `createProgressGroup()`
    `IProgressMonitor` | `getDefaultMonitor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressLogProvider

          public ProgressLogProvider(ProgressLog log,
                             ProgressProvider delegate)

  - ### Method Detail

    - #### createMonitor

          public IProgressMonitor createMonitor(Job job)

      Specified by:
        `createMonitor` in class `ProgressProvider`

    - #### createProgressGroup

          public IProgressMonitor createProgressGroup()

      Overrides:
        `createProgressGroup` in class `ProgressProvider`

    - #### createMonitor

          public IProgressMonitor createMonitor(Job job,
                                       IProgressMonitor group,
                                       int ticks)

      Overrides:
        `createMonitor` in class `ProgressProvider`

    - #### getDefaultMonitor

          public IProgressMonitor getDefaultMonitor()

      Overrides:
        `getDefaultMonitor` in class `ProgressProvider`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html